# Enum GradientDrawable.Orientation

java.lang.Object
java.lang.Enum<GradientDrawable.Orientation>
com.codename1.charts.compat.GradientDrawable.Orientation

All Implemented Interfaces:
  `Comparable<GradientDrawable.Orientation>`

Enclosing class:
  `GradientDrawable`

public static enum GradientDrawable.Orientation extends Enum<GradientDrawable.Orientation>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BL_TR`
  `BOTTOM_TOP`
  `BR_TL`
  `LEFT_RIGHT`
  `RIGHT_LEFT`
  `TL_BR`
  `TOP_BOTTOM`
  `TR_BL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GradientDrawable.Orientation`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static GradientDrawable.Orientation[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BL_TR

    public static final GradientDrawable.Orientation BL_TR

  - ### BOTTOM_TOP

    public static final GradientDrawable.Orientation BOTTOM_TOP

  - ### BR_TL

    public static final GradientDrawable.Orientation BR_TL

  - ### LEFT_RIGHT

    public static final GradientDrawable.Orientation LEFT_RIGHT

  - ### RIGHT_LEFT

    public static final GradientDrawable.Orientation RIGHT_LEFT

  - ### TL_BR

    public static final GradientDrawable.Orientation TL_BR

  - ### TOP_BOTTOM

    public static final GradientDrawable.Orientation TOP_BOTTOM

  - ### TR_BL

    public static final GradientDrawable.Orientation TR_BL

- ## Method Details

  - ### values

    public static GradientDrawable.Orientation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static GradientDrawable.Orientation valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null